# -*- coding: utf-8 -*-
from re import findall
from pygooglechart import GroupedVerticalBarChart
from pygooglechart import Axis
import logging


def make_barcharts(text):
	urls = []
	barcharts = findall( r'(?xs)\[barchart\](.*?)\[/barchart\]''', text)
	
	for i in barcharts:
		try:
			values = []
			labels = []
			maxvalue = 0
			title = ''
			data = i.split('\n')
			if len(data) > 0:
				title = data[0].encode('utf-8')
				del data[0]
				for d in data:
					d = d.strip()
					if len(d) > 0:
						elem = d.split(',')
						labels.append(elem[0].encode('utf-8'))
						values.append(int(elem[1].strip()))
						if int(elem[1].strip()) > maxvalue:
							maxvalue = int(elem[1].strip())
				chart = GroupedVerticalBarChart(300, 300, y_range=(0, maxvalue))
				chart.set_bar_width(10)
				chart.set_colours(['00ff00'])
				chart.set_bar_spacing(15)
				chart.set_group_spacing(50)
				chart.add_data(values)
				labs = chart.set_axis_labels(Axis.BOTTOM, labels)
				chart.set_axis_style(labs, '202020', font_size=12, alignment=0)
				vlabs = chart.set_axis_labels(Axis.LEFT, values)
				chart.set_axis_style(vlabs, '202020', font_size=12, alignment=0)
				index = chart.set_axis_labels(Axis.TOP, [title])
				chart.set_axis_style(index, '202020', font_size=14, alignment=0)
				chart.set_axis_positions(index, [50])
				
				urls.append(chart.get_url())
		except:
			logging.error('EXCEPTION FOR')
			logging.error(i)
			pass
	return urls
