# -*- coding: utf-8 -*-
from waveapi import events
from waveapi import model
from waveapi import robot
from waveapi import document
import logging

from barcharts import make_barcharts

def OnRobotAdded(properties, context):
	root_wavelet = context.GetRootWavelet()
	root_wavelet.CreateBlip().GetDocument().SetText("""I'm a BBCode like BBCode ;) robot that has some nifty tags that you can use...\n[barchart]Chart Title\nlabel1,value1\nlabel2,value2\nlabel3,value3\n...,...\n[/barchart]""")

def OnBlipSubmitted(properties, context):
	#logging.debug('properties')
	#logging.debug(properties)
	blipId = properties['blipId']
	logging.debug('blipId %s' % blipId)
	blip = context.GetBlipById(blipId) #OpBasedBlip
	if blip:
		doc = blip.GetDocument() # OpBasedDocument
		#elems = blip.GetElements()
		#logging.debug('elements')
		#logging.debug(elems)
		#logging.debug('doc')
		#logging.debug(doc)
		text = doc.GetText()
		logging.debug(text)
		#logging.debug('text')
		#logging.debug(text)
		
		urls = make_barcharts(text)
		if len(urls) > 0:
			for i in urls:
				img = document.Image(url=i)
				doc.AppendElement(img)
		
		#doc.SetText(text)


if __name__ == '__main__':
	myRobot = robot.Robot('rktaggy',
		image_url='http://rktaggy.appspot.com/site_media/logo.png',
		version='28',
		profile_url='http://rktaggy.appspot.com/')
	myRobot.RegisterHandler(events.BLIP_SUBMITTED, OnBlipSubmitted)
	myRobot.RegisterHandler(events.WAVELET_SELF_ADDED, OnRobotAdded)
	myRobot.Run()


